Toolsets
CompozyOS Toolsets HTTP endpoints.
GET
workspace_id?stringEffective workspace id
workspace?stringEffective workspace reference
session_id?stringEffective session id
agent_name?stringEffective agent name
profile?stringAct as this profile by name
OK
application/json- response
toolsets*array<>curl -X GET "https://example.com/api/toolsets"{ "toolsets": [ { "expanded_tools": [ "string" ], "id": "string", "reason_codes": [ "approval_canceled" ], "status": "string", "tools": [ "string" ], "toolsets": [ "string" ] } ]}GET
id*stringCanonical toolset id
workspace_id?stringEffective workspace id
workspace?stringEffective workspace reference
session_id?stringEffective session id
agent_name?stringEffective agent name
profile?stringAct as this profile by name
OK
application/json- response
toolset*curl -X GET "https://example.com/api/toolsets/string"{ "toolset": { "expanded_tools": [ "string" ], "id": "string", "reason_codes": [ "approval_canceled" ], "status": "string", "tools": [ "string" ], "toolsets": [ "string" ] }}